Bug 124663 - Update port: japanese/mutt-devel
Update port: japanese/mutt-devel
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 07:50 UTC by st
Modified: 2008-06-25 08:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description st 2008-06-17 07:50:00 UTC
	Fix for NOPORTDOCS.
	<precise description of the problem (multiple lines)>

Fix: 

<how to correct or work around the problem, if known (multiple lines)>--cnJbZUqFIdeRJz6RAanRIvzrZ7P9GaOw6VsncAIFjaMOi4gL
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -urN mutt-devel/Makefile mutt-devel-NOPORTDOCS/Makefile
--- mutt-devel/Makefile	2008-06-09 20:07:24.000000000 +0900
+++ mutt-devel-NOPORTDOCS/Makefile	2008-06-17 15:07:48.000000000 +0900
@@ -9,7 +9,7 @@
 
 PORTNAME=	mutt-devel
 PORTVERSION=	${VERSION}.j${JP_VERSION}
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese mail
 MASTER_SITES=	http://www.emaillab.org/mutt/${VERSION}/ \
 		http://www.emaillab.org/mutt/1.5/doc/:ja_doc \
diff -urN mutt-devel/files/extrapatch-nodoc-aa mutt-devel-NOPORTDOCS/files/extrapatch-nodoc-aa
--- mutt-devel/files/extrapatch-nodoc-aa	2002-06-24 08:12:59.000000000 +0900
+++ mutt-devel-NOPORTDOCS/files/extrapatch-nodoc-aa	2008-06-17 14:31:21.000000000 +0900
@@ -1,21 +1,20 @@
---- doc/Makefile.in.orig	Sun Jun 23 15:53:07 2002
-+++ doc/Makefile.in	Sun Jun 23 15:55:19 2002
-@@ -79,18 +79,6 @@
- 		$(DESTDIR)$(mandir)/man1/mutt_dotlock.1
+--- doc/Makefile.am.orig	2008-06-17 14:30:46.000000000 +0900
++++ doc/Makefile.am	2008-06-17 14:31:10.000000000 +0900
+@@ -55,17 +55,6 @@
  	./instdoc muttrc.man $(DESTDIR)$(mandir)/man5/muttrc.5
  	./instdoc $(srcdir)/mbox.man $(DESTDIR)$(mandir)/man5/mbox.5
+ 	./instdoc $(srcdir)/mmdf.man $(DESTDIR)$(mandir)/man5/mmdf.5
 -	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(docdir)
--	for f in $(srcdir_DOCFILES) ; do \
--		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
--	done
 -	for f in $(topsrcdir_DOCFILES) ; do \
 -		$(INSTALL) -m 644 $(top_srcdir)/$$f $(DESTDIR)$(docdir) ; \
 -	done
--	$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir) || true
--	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(docdir)/html
--	for file in manual*.html ; do	\
--		$(INSTALL) -m 644 $$file $(DESTDIR)$(docdir)/html/ || true ;\
+-	for f in $(srcdir_DOCFILES) ; do \
+-		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
+-	done
+-	-$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir)
+-	-for f in $(HTML_DOCFILES) ; do \
+-		$(INSTALL) -m 644 $$f $(DESTDIR)$(docdir) ; \
 -	done
  
- uninstall:
- 	-rm -f $(DESTDIR)$(mandir)/man1/mutt.1
+ uninstall-local:
+ 	for f in mutt.1 mutt_dotlock.1 flea.1 muttbug.1 ; do \
How-To-Repeat: 	<code/input/activities to reproduce the problem (multiple lines)>
Comment 1 Gavin Atkinson freebsd_committer 2008-06-17 09:08:14 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue from pending
Comment 2 Edwin Groothuis freebsd_committer 2008-06-17 09:09:49 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 3 dfilter freebsd_committer 2008-06-25 07:53:59 UTC
vs          2008-06-25 06:53:54 UTC

  FreeBSD ports repository

  Modified files:
    japanese/mutt-devel  Makefile 
    japanese/mutt-devel/files extrapatch-nodoc-aa 
  Log:
  Fix installation of documentation (bump PORTREVISION)
  
  PR:             ports/124663
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.65      +1 -1      ports/japanese/mutt-devel/Makefile
  1.2       +12 -13    ports/japanese/mutt-devel/files/extrapatch-nodoc-aa
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 vs freebsd_committer 2008-06-25 07:54:12 UTC
State Changed
From-To: open->closed

Committed, thanks!